<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Time Off Request</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Time Off Request
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Time Off Request</li>
    </ol>
</section>

<section layout:fragment="main" class="content">


    <div class="row">

        <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">Time Off Request</h3>
                    <h3 class="box-title" th:text="${employes.fullName}">Ayah dari</h3>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <div class="callout callout-danger" th:if="${statusTimeOff.getStatus().equals('NO')}">
                    <h4>Time Off Not Allowed</h4>
            
                    <p>Masa Kerja anda belum genap 1 tahun.</p>
                  </div>
                <form th:if="${statusTimeOff.getStatus().equals('OK')}" class="form-horizontal" th:action="@{/request/time_off/update(employes=${employes.id})}" th:object="${timeOffRequest}" method="post" enctype="multipart/form-data">
                    <div class="box-body">

                        <div class="callout callout-danger" th:if="${gagalfile != null}">
                            <h4>Save Data Unsuccesfully!</h4>

                            <p th:text="${gagalfile}"></p>
                        </div>

                        <div class="form-group">
                            <label for="timeOffJenis" class="col-sm-2 control-label">Time Off Type:</label>
                            <div class="col-sm-10">
                                <select class="form-control select2" name="timeOffJenis" th:field="*{timeOffJenis}" id="timeOffJenis" style="width: 100%;">
                                    <option th:each="data : ${listTimeOffJenis}"
                                            th:text="${data.getNama()}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">From:</label>
                            <div class="col-sm-10">
                                <div class="input-group date">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input type="text" class="form-control pull-right" id="tanggalTimeOffString" th:field="*{tanggalTimeOffString}" name="tanggalTimeOffString" placeholder="MM/dd/yyyy">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">To:</label>
                            <div class="col-sm-10">
                                <div class="input-group date">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input type="text" class="form-control pull-right" id="tanggalTimeOffSampaiString" th:field="*{tanggalTimeOffSampaiString}" name="tanggalTimeOffSampaiString" placeholder="MM/dd/yyyy">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="keterangan" class="col-sm-2 control-label">Desciptions:</label>
                            <div class="col-sm-10">
                                <textarea class="form-control" th:field="*{keterangan}" name="keterangan" id="keterangan" rows="3" placeholder="Descriptions"></textarea>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="fileUpload" class="col-sm-2 control-label">File Upload:</label>

                            <div class="col-sm-10">
                                <input type="file" name="fileUpload" id="fileUpload" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">

                                <p class="help-block">Upload file bila perlu.</p>
                            </div>
                        </div>



                        <input type="hidden" name="id" th:field="*{id}">
                        <input type="hidden" name="file" th:field="*{file}">

                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">

                        <a th:href="@{/request/time_off}" class="btn btn-default">Cancel</a>
                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
        </div>
    </div>


</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalTimeOffString').datepicker({
                autoclose: true,
                format: 'dd-mm-yyyy'
            })

            $('#tanggalTimeOffSampaiString').datepicker({
                autoclose: true,
                format: 'dd-mm-yyyy'
            })

            $('#endDateString').datepicker({
                autoclose: true,
                format: 'dd-mm-yyyy'
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>